Subject: Re: [PATCH v3 0/8] perf libunwind multiple remote support

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Sun, 12 Apr 2026 16:18:02 -0300

On Fri, Apr 10, 2026 at 06:04:57PM -0700, Ian Rogers wrote:
> On Fri, Apr 3, 2026 at 10:40 PM Ian Rogers <[email-masked]> wrote:
> >
> > Fix the libunwind build for when libdw and libunwind are feature
> > detected, currently failing with a duplicate symbol.
> >
> > Refactor the libunwind support so that whenever a remote target is
> > available, perf functions using the ELF machine can use that remote
> > target regardless of what the host/local machine is. Migrate existing
> > libunwind supported architectures like powerpc, arm64 and loongarch so
> > that they can work in a cross-architecture way. Add support for
> > RISC-V. Make the code more regular in function names, etc. and avoid
> > including a C-file. This increases the lines of code. It is similar in
> > style to the unwind-libdw implementation. It is hoped that the more
> > uniform nature of the code with help with refactoring the perf
> > registers for SIMD/APX support.
> >
> > Aside from local host testing these patches are under tested, in part
> > as I'm failing to see how to build libunwind with support for multiple
> > remote targets. Please could I get help in testing.
> >
> > v3: Minor whitespace clean up and warn when a dynamic choice of libdw
> >     or libunwind is selected for unwinding and support is missing (Arnaldo).
> 
> Hi Arnaldo,
> 
> anything else outstanding from this series?

It is not applying, I did an attempt to refresh it but stomped at 7/8

⬢ [acme@toolbx perf-tools-next]$ patch -p1 < ./v3_20260403_irogers_perf_libunwind_multiple_remote_support.mbx
patching file tools/perf/util/Build
patching file tools/perf/util/libunwind-arch/libunwind-arch.c
patching file tools/perf/util/libunwind-arch/libunwind-arch.h
patching file tools/perf/util/libunwind-arch/libunwind-arm.c
patching file tools/perf/util/libunwind-arch/libunwind-arm64.c
patching file tools/perf/util/libunwind-arch/libunwind-i386.c
patching file tools/perf/util/libunwind-arch/libunwind-loongarch.c
patching file tools/perf/util/libunwind-arch/libunwind-mips.c
patching file tools/perf/util/libunwind-arch/libunwind-ppc32.c
patching file tools/perf/util/libunwind-arch/libunwind-ppc64.c
patching file tools/perf/util/libunwind-arch/libunwind-s390.c
patching file tools/perf/util/libunwind-arch/libunwind-x86_64.c
patching file tools/perf/util/libunwind/arm64.c
patching file tools/perf/util/libunwind/x86_32.c
patching file tools/perf/util/maps.c
patching file tools/perf/util/maps.h
patching file tools/perf/util/unwind-libunwind-local.c
Reversed (or previously applied) patch detected!  Assume -R? [n] ^C
⬢ [acme@toolbx perf-tools-next]$

Can you please take a look and maybe resubmit it so that Sashiko can
have a look at it?

Two other patches had to be refreshed before 7/8.

- Arnaldo